<?php
/**
 * This file adds the single Testimonial post type template to the Red Carpet Theme.
 *
 * @author BrewPixel
 * @package Red Carpet
 */

/**
 * List of Action Hooks on Front End:
 *
 * muplugins_loaded
 * registered_taxonomy
 * registered_post_type
 * plugins_loaded
 * IF GRAVITY FORMS:
 *     gform_loaded
 * END IF GRAVITY FORMS;
 * load_textdomain
 * sanitize_comment_cookies
 * setup_theme
 * unload_textdomain
 * genesis_pre
 * genesis_init
 * genesis_pre_framework
 * genesis_admin_init
 * genesis_setup
 * register_sidebar
 * auth_cookie_malformed
 * auth_cookie_valid
 * set_current_user
 * after_setup_theme
 * genesis_register_nav_menus
 * init
 * widgets_init
 * wp_register_sidebar_widget
 * IF ? default page and blog home archive:
 *     update_option
 *     update_option__transient_doing_cron
 *     updated_option
 *     set_transient_doing_cron
 *     setted_transient
 *     http_api_debug
 * END IF ? default page and blog home archive;
 * wp_default_scripts
 * wp_default_styles
 * wp_loaded
 * parse_request
 * send_headers
 * parse_tax_query
 * parse_query
 * pre_get_posts
 * posts_selection
 * wp
 * template_redirect
 * admin_bar_init
 * add_admin_bar_menus
 * get_header
 * genesis_doctype
 * <!DOCTYPE html>
 * <html <?php language_attributes( 'html' ); ?>>
 *     <head <?php echo genesis_attr( 'head' ); ?>>
 *     <meta charset="<?php bloginfo( 'charset' ); ?>" />
 *     genesis_title
 *     genesis_meta
 *     wp_head
 *         wp_enqueue_scripts
 *         IF mc4wp plugin:
 *             mc4wp_register_form_assets
 *             mc4wp_load_form_stylesheets
 *         END IF mc4wp plugin;
 *         wp_print_styles
 *         wp_print_scripts
 *     </head>
 *     <body>
 *         genesis_before
 *         <div> *wrap*
 *             genesis_before_header
 *             genesis_header
 *                 genesis_site_title
 *                 genesis_site_description
 *                 genesis_header_right
 *                 dynamic_sidebar_before
 *                 dynamic_sidebar_after
 *             genesis_after_header
 *             <div> *site-inner*
 *                 <div> structural wrap site-inner
 *                     genesis_before_content_sidebar_wrap
 *                     genesis_before_content
 *                     <main> MAIN ELEMENT OPEN
 *                         genesis_before_loop
 *                         genesis_loop
 *                         genesis_before_while
 *                         loop_start
 *                         the_post
 *                         genesis_before_entry
 *                         <article>
 *                             genesis_entry_header
 *                             genesis_before_entry_content
 *                             genesis_entry_content
 *                             genesis_after_entry_content
 *                             genesis_entry_footer
 *                         </article>
 *                         genesis_after_entry
 *                         IF COMMENTS:
 *                             parse_comment_query
 *                             pre_get_comments
 *                             genesis_before_comments
 *                             genesis_comments
 *                             genesis_list_comments
 *                             genesis_before_comment
 *                             genesis_after_comment
 *                             genesis_after_comments
 *                             IF PINGS:
 *                                 genesis_before_pings
 *                                 genesis_pings
 *                                 genesis_after_pings
 *                             END IF PINGS;
 *                             genesis_before_comment_form
 *                             genesis_comment_form
 *                             comment_form_before
 *                             comment_form_top
 *                             IF NOT LOGGED IN:
 *                             		comment_form_before_fields
 *                                	comment_form_after_fields
 *                             END IF NOT LOGGED IN;
 *                             IF LOGGED IN:
 *                             comment_form_logged_in_after
 *                             END IF LOGGED IN;
 *                             comment_form
 *                             comment_form_after
 *                             genesis_after_comment_form
 *                         END IF COMMENTS;
 *                         loop_end
 *                         genesis_after_endwhile
 *                         genesis_after_loop
 *                         IF LAYOUT INCLUDES GENESIS SIDEBAR:
 *                             get_sidebar
 *                             genesis_before_sidebar_widget_area
 *                             genesis_sidebar
 *                         END IF LAYOUT INCLUDES GENESIS SIDEBAR;
 *                         dynamic_sidebar
 *                         IF mc4wp plugin:
 *                             mc4wp_output_form
 *                         END IF mc4wp plugin;
 *                         metadata_lazyloader_queued_objects
 *                         IF LAYOUT INCLUDES GENESIS SIDEBAR:
 *                             genesis_after_sidebar_widget_area
 *                         END IF LAYOUT INCLUDES GENESIS SIDEBAR;
 *                     </main> MAIN ELEMENT CLOSE
 *                     genesis_after_content
 *                     genesis_after_content_sidebar_wrap
 *                     get_footer
 *                 </div> structural wrap site-inner
 *             </div> //* end .site-inner or #inner
 *             genesis_before_footer
 *             IF SEARCH WIDGET IN FOOTER:
 *                 pre_get_search_form
 *             END IF SEARCH WIDGET IN FOOTER;
 *             genesis_footer
 *             genesis_after_footer
 *         </div> //* end .site-container or #wrap
 *         genesis_after
 *         wp_footer
 *     </body>
 * </html>
 * IF mc4wp plugin:
 *     mc4wp_load_form_scripts
 * END IF mc4wp plugin;
 * wp_print_footer_scripts
 * IF LOGGED IN:
 *     admin_bar_menu
 *     wp_before_admin_bar_render
 *     wp_after_admin_bar_render
 * END IF LOGGED IN;
 */

// @TODO: Do we want to force full width layout?
// Force full width content.
// add_filter( 'genesis_pre_get_option_site_layout', '__genesis_return_full_width_content' );
// Remember you can add priorities if needed. e.g. add_action( 'genesis_entry_content', 'red_carpet_page_slug_entry_content', 4 ); .

// @TODO: Do we want to remove the post info from the entry header?
// Remove the entry meta in the entry header (requires HTML5 theme support).
remove_action( 'genesis_entry_header', 'genesis_post_info', 12 );

add_action( 'genesis_before_content_sidebar_wrap', 'red_carpet_single_testimonial_before_content_sidebar_wrap1', 1 );
add_action( 'genesis_before_content_sidebar_wrap', 'red_carpet_single_testimonial_before_content_sidebar_wrap10', 10 );
add_action( 'genesis_before_content_sidebar_wrap', 'red_carpet_single_testimonial_before_content_sidebar_wrap' );
add_action( 'genesis_before_content_sidebar_wrap', 'red_carpet_single_testimonial_before_content_sidebar_wrap999', 999 );
add_action( 'genesis_before_content', 'red_carpet_single_testimonial_before_content1', 1 );
add_action( 'genesis_before_content', 'red_carpet_single_testimonial_before_content10', 10 );
add_action( 'genesis_before_content', 'red_carpet_single_testimonial_before_content' );
add_action( 'genesis_before_content', 'red_carpet_single_testimonial_before_content999', 999 );

add_action( 'genesis_before_loop', 'red_carpet_single_testimonial_before_loop1', 1 );
add_action( 'genesis_before_loop', 'red_carpet_single_testimonial_before_loop10', 10 );
add_action( 'genesis_before_loop', 'red_carpet_single_testimonial_before_loop' );
add_action( 'genesis_before_loop', 'red_carpet_single_testimonial_before_loop999', 999 );
add_action( 'genesis_loop', 'red_carpet_single_testimonial_loop1', 1 );
add_action( 'genesis_loop', 'red_carpet_single_testimonial_loop10', 10 );
add_action( 'genesis_loop', 'red_carpet_single_testimonial_loop' );
add_action( 'genesis_loop', 'red_carpet_single_testimonial_loop999', 999 );
add_action( 'loop_start', 'red_carpet_single_testimonial_loop_start1', 1 );
add_action( 'loop_start', 'red_carpet_single_testimonial_loop_start10', 10 );
add_action( 'loop_start', 'red_carpet_single_testimonial_loop_start' );
add_action( 'loop_start', 'red_carpet_single_testimonial_loop_start999', 999 );
add_action( 'genesis_before_entry', 'red_carpet_single_testimonial_before_entry1', 1 );
add_action( 'genesis_before_entry', 'red_carpet_single_testimonial_before_entry10', 10 );
add_action( 'genesis_before_entry', 'red_carpet_single_testimonial_before_entry' );
add_action( 'genesis_before_entry', 'red_carpet_single_testimonial_before_entry999', 999 );
add_action( 'genesis_entry_header', 'red_carpet_single_testimonial_entry_header1', 1 );
add_action( 'genesis_entry_header', 'red_carpet_single_testimonial_entry_header10', 10 );
add_action( 'genesis_entry_header', 'red_carpet_single_testimonial_entry_header' );
add_action( 'genesis_entry_header', 'red_carpet_single_testimonial_entry_header999', 999 );
add_action( 'genesis_entry_content', 'red_carpet_single_testimonial_entry_content1', 1 );
add_action( 'genesis_entry_content', 'red_carpet_single_testimonial_entry_content10', 10 );
add_action( 'genesis_entry_content', 'red_carpet_single_testimonial_entry_content' );
add_action( 'genesis_entry_content', 'red_carpet_single_testimonial_entry_content999', 999 );
add_action( 'genesis_entry_footer', 'red_carpet_single_testimonial_entry_footer1', 1 );
add_action( 'genesis_entry_footer', 'red_carpet_single_testimonial_entry_footer10', 10 );
add_action( 'genesis_entry_footer', 'red_carpet_single_testimonial_entry_footer' );
add_action( 'genesis_entry_footer', 'red_carpet_single_testimonial_entry_footer999', 999 );
add_action( 'genesis_after_entry', 'red_carpet_single_testimonial_after_entry1', 1 );
add_action( 'genesis_after_entry', 'red_carpet_single_testimonial_after_entry10', 10 );
add_action( 'genesis_after_entry', 'red_carpet_single_testimonial_after_entry' );
add_action( 'genesis_after_entry', 'red_carpet_single_testimonial_after_entry999', 999 );


add_action( 'genesis_before_comments', 'red_carpet_single_testimonial_before_comments1', 1 );
add_action( 'genesis_before_comments', 'red_carpet_single_testimonial_before_comments10', 10 );
add_action( 'genesis_before_comments', 'red_carpet_single_testimonial_before_comments' );
add_action( 'genesis_before_comments', 'red_carpet_single_testimonial_before_comments999', 999 );
add_action( 'genesis_list_comments', 'red_carpet_single_testimonial_list_comments1', 1 );
add_action( 'genesis_list_comments', 'red_carpet_single_testimonial_list_comments10', 10 );
add_action( 'genesis_list_comments', 'red_carpet_single_testimonial_list_comments' );
add_action( 'genesis_list_comments', 'red_carpet_single_testimonial_list_comments999', 999 );
add_action( 'genesis_before_comment', 'red_carpet_single_testimonial_before_comment1', 1 );
add_action( 'genesis_before_comment', 'red_carpet_single_testimonial_before_comment10', 10 );
add_action( 'genesis_before_comment', 'red_carpet_single_testimonial_before_comment' );
add_action( 'genesis_before_comment', 'red_carpet_single_testimonial_before_comment999', 999 );
add_action( 'genesis_after_comment', 'red_carpet_single_testimonial_after_comment1', 1 );
add_action( 'genesis_after_comment', 'red_carpet_single_testimonial_after_comment10', 10 );
add_action( 'genesis_after_comment', 'red_carpet_single_testimonial_after_comment' );
add_action( 'genesis_after_comment', 'red_carpet_single_testimonial_after_comment999', 999 );
add_action( 'genesis_after_comments', 'red_carpet_single_testimonial_after_comments1', 1 );
add_action( 'genesis_after_comments', 'red_carpet_single_testimonial_after_comments10', 10 );
add_action( 'genesis_after_comments', 'red_carpet_single_testimonial_after_comments' );
add_action( 'genesis_after_comments', 'red_carpet_single_testimonial_after_comments999', 999 );
add_action( 'genesis_before_pings', 'red_carpet_single_testimonial_before_pings1', 1 );
add_action( 'genesis_before_pings', 'red_carpet_single_testimonial_before_pings10', 10 );
add_action( 'genesis_before_pings', 'red_carpet_single_testimonial_before_pings' );
add_action( 'genesis_before_pings', 'red_carpet_single_testimonial_before_pings999', 999 );
add_action( 'genesis_after_pings', 'red_carpet_single_testimonial_after_pings1', 1 );
add_action( 'genesis_after_pings', 'red_carpet_single_testimonial_after_pings10', 10 );
add_action( 'genesis_after_pings', 'red_carpet_single_testimonial_after_pings' );
add_action( 'genesis_after_pings', 'red_carpet_single_testimonial_after_pings999', 999 );
add_action( 'genesis_before_comment_form', 'red_carpet_single_testimonial_before_comment_form1', 1 );
add_action( 'genesis_before_comment_form', 'red_carpet_single_testimonial_before_comment_form10', 10 );
add_action( 'genesis_before_comment_form', 'red_carpet_single_testimonial_before_comment_form' );
add_action( 'genesis_before_comment_form', 'red_carpet_single_testimonial_before_comment_form999', 999 );
add_action( 'genesis_comment_form', 'red_carpet_single_testimonial_genesis_comment_form1', 1 );
add_action( 'genesis_comment_form', 'red_carpet_single_testimonial_genesis_comment_form10', 10 );
add_action( 'genesis_comment_form', 'red_carpet_single_testimonial_genesis_comment_form' );
add_action( 'genesis_comment_form', 'red_carpet_single_testimonial_genesis_comment_form999', 999 );
add_action( 'comment_form_before', 'red_carpet_single_testimonial_comment_form_before1', 1 );
add_action( 'comment_form_before', 'red_carpet_single_testimonial_comment_form_before10', 10 );
add_action( 'comment_form_before', 'red_carpet_single_testimonial_comment_form_before' );
add_action( 'comment_form_before', 'red_carpet_single_testimonial_comment_form_before999', 999 );
add_action( 'comment_form_top', 'red_carpet_single_testimonial_comment_form_top1', 1 );
add_action( 'comment_form_top', 'red_carpet_single_testimonial_comment_form_top10', 10 );
add_action( 'comment_form_top', 'red_carpet_single_testimonial_comment_form_top' );
add_action( 'comment_form_top', 'red_carpet_single_testimonial_comment_form_top999', 999 );
add_action( 'comment_form_before_fields', 'red_carpet_single_testimonial_comment_form_before_fields1', 1 );
add_action( 'comment_form_before_fields', 'red_carpet_single_testimonial_comment_form_before_fields10', 10 );
add_action( 'comment_form_before_fields', 'red_carpet_single_testimonial_comment_form_before_fields' );
add_action( 'comment_form_before_fields', 'red_carpet_single_testimonial_comment_form_before_fields999', 999 );
add_action( 'comment_form_after_fields', 'red_carpet_single_testimonial_comment_form_after_fields1', 1 );
add_action( 'comment_form_after_fields', 'red_carpet_single_testimonial_comment_form_after_fields10', 10 );
add_action( 'comment_form_after_fields', 'red_carpet_single_testimonial_comment_form_after_fields' );
add_action( 'comment_form_after_fields', 'red_carpet_single_testimonial_comment_form_after_fields999', 999 );
add_action( 'comment_form', 'red_carpet_single_testimonial_comment_form1', 1 );
add_action( 'comment_form', 'red_carpet_single_testimonial_comment_form10', 10 );
add_action( 'comment_form', 'red_carpet_single_testimonial_comment_form' );
add_action( 'comment_form', 'red_carpet_single_testimonial_comment_form999', 999 );
add_action( 'comment_form_after', 'red_carpet_single_testimonial_comment_form_after1', 1 );
add_action( 'comment_form_after', 'red_carpet_single_testimonial_comment_form_after10', 10 );
add_action( 'comment_form_after', 'red_carpet_single_testimonial_comment_form_after' );
add_action( 'comment_form_after', 'red_carpet_single_testimonial_comment_form_after999', 999 );
add_action( 'after_comment_form', 'red_carpet_single_testimonial_after_comment_form1', 1 );
add_action( 'after_comment_form', 'red_carpet_single_testimonial_after_comment_form10', 10 );
add_action( 'after_comment_form', 'red_carpet_single_testimonial_after_comment_form' );
add_action( 'after_comment_form', 'red_carpet_single_testimonial_after_comment_form999', 999 );


add_action( 'loop_end', 'red_carpet_single_testimonial_loop_end1', 1 );
add_action( 'loop_end', 'red_carpet_single_testimonial_loop_end10', 10 );
add_action( 'loop_end', 'red_carpet_single_testimonial_loop_end' );
add_action( 'loop_end', 'red_carpet_single_testimonial_loop_end999', 999 );
add_action( 'genesis_after_endwhile', 'red_carpet_single_testimonial_after_endwhile1', 1 );
add_action( 'genesis_after_endwhile', 'red_carpet_single_testimonial_after_endwhile10', 10 );
add_action( 'genesis_after_endwhile', 'red_carpet_single_testimonial_after_endwhile' );
add_action( 'genesis_after_endwhile', 'red_carpet_single_testimonial_after_endwhile999', 999 );
add_action( 'genesis_after_loop', 'red_carpet_single_testimonial_after_loop1', 1 );
add_action( 'genesis_after_loop', 'red_carpet_single_testimonial_after_loop10', 10 );
add_action( 'genesis_after_loop', 'red_carpet_single_testimonial_after_loop' );
add_action( 'genesis_after_loop', 'red_carpet_single_testimonial_after_loop999', 999 );

add_action( 'genesis_after_content', 'red_carpet_single_testimonial_after_content1', 1 );
add_action( 'genesis_after_content', 'red_carpet_single_testimonial_after_content10', 10 );
add_action( 'genesis_after_content', 'red_carpet_single_testimonial_after_content' );
add_action( 'genesis_after_content', 'red_carpet_single_testimonial_after_content999', 999 );
add_action( 'genesis_after_content_sidebar_wrap', 'red_carpet_single_testimonial_after_content_sidebar_wrap1', 1 );
add_action( 'genesis_after_content_sidebar_wrap', 'red_carpet_single_testimonial_after_content_sidebar_wrap10', 10 );
add_action( 'genesis_after_content_sidebar_wrap', 'red_carpet_single_testimonial_after_content_sidebar_wrap' );
add_action( 'genesis_after_content_sidebar_wrap', 'red_carpet_single_testimonial_after_content_sidebar_wrap999', 999 );

/**
 * Before content_sidebar_wrap 1.
 */
function red_carpet_single_testimonial_before_content_sidebar_wrap1() {
	?>
	<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Before content_sidebar_wrap 10.
 */
function red_carpet_single_testimonial_before_content_sidebar_wrap10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Before content_sidebar_wrap default.
 */
function red_carpet_single_testimonial_before_content_sidebar_wrap() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Before content_sidebar_wrap 999.
 */
function red_carpet_single_testimonial_before_content_sidebar_wrap999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Before content 1.
 */
function red_carpet_single_testimonial_before_content1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Before content 10.
 */
function red_carpet_single_testimonial_before_content10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Before content default.
 */
function red_carpet_single_testimonial_before_content() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Before content 999.
 */
function red_carpet_single_testimonial_before_content999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Before loop 1.
 */
function red_carpet_single_testimonial_before_loop1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Before loop 10.
 */
function red_carpet_single_testimonial_before_loop10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Before loop default.
 */
function red_carpet_single_testimonial_before_loop() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Before loop 999.
 */
function red_carpet_single_testimonial_before_loop999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Loop 1.
 */
function red_carpet_single_testimonial_loop1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Loop 10.
 */
function red_carpet_single_testimonial_loop10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Loop default.
 */
function red_carpet_single_testimonial_loop() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Loop 999.
 */
function red_carpet_single_testimonial_loop999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Loop start 1.
 */
function red_carpet_single_testimonial_loop_start1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Loop start 10.
 */
function red_carpet_single_testimonial_loop_start10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Loop start default.
 */
function red_carpet_single_testimonial_loop_start() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Loop start 999.
 */
function red_carpet_single_testimonial_loop_start999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Before entry 1.
 */
function red_carpet_single_testimonial_before_entry1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Before entry 10.
 */
function red_carpet_single_testimonial_before_entry10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Before entry default.
 */
function red_carpet_single_testimonial_before_entry() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<div class="c-background-wrapper" style="background-image: url(img/gallery/rr-donnelly.jpg);">
	<?php
}

/**
 * Before entry 999.
 */
function red_carpet_single_testimonial_before_entry999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Entry header 1.
 */
function red_carpet_single_testimonial_entry_header1() {
	?>
	<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Entry header 10.
 */
function red_carpet_single_testimonial_entry_header10() {
	?>
<!-- <?php echo current_filter() . '10'; ?> -->
	<?php
}

/**
 * Entry header default.
 */
function red_carpet_single_testimonial_entry_header() {
	$client_name = get_post_meta( get_the_ID(),
		'client_review_name_of_client',
		true );
	if ( get_post_meta( get_the_ID(),
			'client_review_job_title',
			true ) && get_post_meta( get_the_ID(),
			'client_review_name_of_company',
			true )
	) {
		$job_title = get_post_meta( get_the_ID(),
				'client_review_job_title',
				true ) . ', ';
	} elseif ( get_post_meta( get_the_ID(),
		'client_review_job_title',
		true ) ) {
		$job_title = get_post_meta( get_the_ID(),
			'client_review_job_title',
			true );
	} else {
		$job_title = '';
	}
	$company_name = get_post_meta( get_the_ID(),
		'client_review_name_of_company',
		true );
	$year         = goldie_post_meta( 'client_review_year', '', '', array( '--Select Year--' ) );
	$month        = goldie_post_meta( 'client_review_month', '', '', array( '--Select Month--' ) );
	$nmonth       = date( 'm', strtotime( $month ) );
	$review       = get_post_meta( get_the_ID(),
		'client_review_review',
		true );
	//@TODO: Create rating metabox
	$testimonial['rating'] = 5;
	$testimonial['time'] = strtotime ($year . $month . '01');
	//$testimonial['time'] = '20171231';
	$testimonial['text'] = $review;
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
<div class="c-testimonial">
	<div class="o-layout-grid-flex u-padding-bottom-s">
		<div class="o-layout-grid-flex__item">
			<!-- Image of company / person -->
			<!-- <img src="45px-by-45px@1x.jpg"> -->
			<?php the_post_thumbnail( 'gallery-feature' ); ?>
		</div>
		<div class="o-layout-grid-flex__item">
			<div class="c-testimonial__meta">
				<!-- Name of company / person -->
				<span><?php echo $client_name ?></span>
			</div>
		</div>
		<div class="o-layout-grid-flex__item">
			<div class="c-testimonial__meta">
				<span itemprop="reviewRating" itemscope="" itemtype="http://schema.org/Rating" class="c-review">
					<meta itemprop="worstRating" content="1">
					<meta itemprop="bestRating" content="5">
					<span itemprop="ratingValue" content="5" class="screen-reader-text"><?php $testimonial['rating'] ?> star(s) out of 5 stars</span>
					<!-- Output star for every rating -->
					<?php
					for($i = 1; $i <= $testimonial['rating']; $i++) {
						echo '<svg class="c-bp-icon c-bp-icon--star"><use xlink:href="#c-bp-icon--star"></use></svg>';
					}
					?>
				</span>
			</div>
		</div>
		<!-- Review date -->
		<?php echo "<meta itemprop='datePublished' content='" . date( 'Y-m-d',
				$testimonial['time'] ) . "'>" ?>
		<span class="screen-reader-text">Review date <?php echo date( 'Y-m-d',
				$testimonial['time'] ) ?></span>
	</div>
	<?php echo '&ldquo;<span itemprop="reviewBody">' . trim( $testimonial['text'] ) . '</span>&rdquo;'; ?>
	<?php
}

/**
 * Entry header 999.
 */
function red_carpet_single_testimonial_entry_header999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Entry content 1.
 */
function red_carpet_single_testimonial_entry_content1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Entry content 10.
 */
function red_carpet_single_testimonial_entry_content10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Entry content default.
 */
function red_carpet_single_testimonial_entry_content() {
	$client_name = get_post_meta( get_the_ID(),
		'client_review_name_of_client',
		true );
	if ( get_post_meta( get_the_ID(),
			'client_review_job_title',
			true ) && get_post_meta( get_the_ID(),
			'client_review_name_of_company',
			true )
	) {
		$job_title = get_post_meta( get_the_ID(),
				'client_review_job_title',
				true ) . ', ';
	} elseif ( get_post_meta( get_the_ID(),
		'client_review_job_title',
		true ) ) {
		$job_title = get_post_meta( get_the_ID(),
			'client_review_job_title',
			true );
	} else {
		$job_title = '';
	}
	$company_name = get_post_meta( get_the_ID(),
		'client_review_name_of_company',
		true );
	$year         = goldie_post_meta( 'client_review_year', '', '', array( '--Select Year--' ) );
	$month        = goldie_post_meta( 'client_review_month', '', '', array( '--Select Month--' ) );
	$nmonth       = date( 'm', strtotime( $month ) );
	$review       = get_post_meta( get_the_ID(),
		'client_review_review',
		true );
	//@TODO: Create rating metabox
	$testimonial['rating'] = 5;
	$testimonial['time'] = strtotime( $year . $nmonth . '01' );
	$testimonial['text'] = $review;
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<article itemprep="review" itemscope itemtype="http://schema.org/Review">
		<?php
		echo get_the_post_thumbnail(
			get_the_ID(),
			'gallery-feature',
			array(
				'itemprop' => 'image',
			)
		);
		?>
		<span itemprop="name">
            <?php the_title(); ?>
        </span>
		<span itemprop="author">
            <?php echo $client_name; ?>
        </span>
		<meta itemprop="datePublished" content="<?php echo date( 'Y-m-d',
			$testimonial['time'] ) ?>"/>
		<div itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating">
			<meta itemprop="worstRating" content = "1"/>
			<span itemprop="ratingValue">
                <?php echo $testimonial['rating']; ?>
            </span>
			/
			<span itemprop="bestRating">
                5
            </span>
			stars
			<?php wp_star_rating( array( 'rating' => $testimonial['rating'] ) ); ?>
		</div>
		<span itemprop="description">
            A short description of the item. Great microwave for the price. It is small and fits in my apartment.
        </span>

		<blockquote itemprop="reviewBody">
			<?php echo $testimonial['text']; ?>
		</blockquote>

		<footer>
			<p itemprop="author">
				<a href="">
					<span itemprop="jobTitle"> <?php echo $job_title ?></span> <span itemprop="affiliation"> <?php echo $company_name; ?> </span>
				</a>
			</p>
		</footer>
	</article>
	<?php
}

/**
 * Entry content 999.
 */
function red_carpet_single_testimonial_entry_content999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Entry footer 1.
 */
function red_carpet_single_testimonial_entry_footer1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Entry footer 10.
 */
function red_carpet_single_testimonial_entry_footer10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Entry footer default.
 */
function red_carpet_single_testimonial_entry_footer() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
</div>
	<?php
}

/**
 * Entry footer 999.
 */
function red_carpet_single_testimonial_entry_footer999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * After entry 1.
 */
function red_carpet_single_testimonial_after_entry1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * After entry 10.
 */
function red_carpet_single_testimonial_after_entry10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * After entry default.
 */
function red_carpet_single_testimonial_after_entry() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	</div>

	<div class="o-button-hero">
		<div class="c-btn c-btn--1">
			<a href="">
				<svg class="c-bp-icon c-bp-icon--pencil c-icon-left"><use xlink:href="#c-bp-icon--pencil"></use></svg> Want to send us a review?
			</a>
		</div>
	</div>
	<?php
}

/**
 * After entry 999.
 */
function red_carpet_single_testimonial_after_entry999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Before comments 1.
 */
function red_carpet_single_testimonial_before_comments1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Before comments 10.
 */
function red_carpet_single_testimonial_before_comments10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Before comments default.
 */
function red_carpet_single_testimonial_before_comments() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Before comments 999.
 */
function red_carpet_single_testimonial_before_comments999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * List comments 1.
 */
function red_carpet_single_testimonial_list_comments1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * List comments 10.
 */
function red_carpet_single_testimonial_list_comments10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * List comments default.
 */
function red_carpet_single_testimonial_list_comments() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * List comments 999.
 */
function red_carpet_single_testimonial_list_comments999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Before comment 1.
 */
function red_carpet_single_testimonial_before_comment1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Before comment 10.
 */
function red_carpet_single_testimonial_before_comment10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Before comment default.
 */
function red_carpet_single_testimonial_before_comment() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Before comment 999.
 */
function red_carpet_single_testimonial_before_comment999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * After comment 1.
 */
function red_carpet_single_testimonial_after_comment1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * After comment 10.
 */
function red_carpet_single_testimonial_after_comment10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * After comment default.
 */
function red_carpet_single_testimonial_after_comment() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * After comment 999.
 */
function red_carpet_single_testimonial_after_comment999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * After comments 1.
 */
function red_carpet_single_testimonial_after_comments1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * After comments 10.
 */
function red_carpet_single_testimonial_after_comments10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * After comments default.
 */
function red_carpet_single_testimonial_after_comments() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * After comments 999.
 */
function red_carpet_single_testimonial_after_comments999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Before pings 1.
 */
function red_carpet_single_testimonial_before_pings1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Before pings 10.
 */
function red_carpet_single_testimonial_before_pings10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Before pings default.
 */
function red_carpet_single_testimonial_before_pings() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Before pings 999.
 */
function red_carpet_single_testimonial_before_pings999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * After pings 1.
 */
function red_carpet_single_testimonial_after_pings1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * After pings 10.
 */
function red_carpet_single_testimonial_after_pings10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * After pings default.
 */
function red_carpet_single_testimonial_after_pings() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * After pings 999.
 */
function red_carpet_single_testimonial_after_pings999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Before comment form 1.
 */
function red_carpet_single_testimonial_before_comment_form1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Before comment form 10.
 */
function red_carpet_single_testimonial_before_comment_form10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Before comment form default.
 */
function red_carpet_single_testimonial_before_comment_form() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Before comment form 999.
 */
function red_carpet_single_testimonial_before_comment_form999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Comment form 1.
 */
function red_carpet_single_testimonial_genesis_comment_form1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Comment form 10.
 */
function red_carpet_single_testimonial_genesis_comment_form10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Comment form default.
 */
function red_carpet_single_testimonial_genesis_comment_form() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Comment form 999.
 */
function red_carpet_single_testimonial_genesis_comment_form999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Comment form before 1.
 */
function red_carpet_single_testimonial_comment_form_before1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Comment form before 10.
 */
function red_carpet_single_testimonial_comment_form_before10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Comment form before default.
 */
function red_carpet_single_testimonial_comment_form_before() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Comment form before 999.
 */
function red_carpet_single_testimonial_comment_form_before999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Comment form top 1.
 */
function red_carpet_single_testimonial_comment_form_top1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Comment form top 10.
 */
function red_carpet_single_testimonial_comment_form_top10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Comment form top default.
 */
function red_carpet_single_testimonial_comment_form_top() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Comment form top 999.
 */
function red_carpet_single_testimonial_comment_form_top999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Comment form before fields 1.
 */
function red_carpet_single_testimonial_comment_form_before_fields1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Comment form before fields 10.
 */
function red_carpet_single_testimonial_comment_form_before_fields10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Comment form before fields default.
 */
function red_carpet_single_testimonial_comment_form_before_fields() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Comment form before fields 999.
 */
function red_carpet_single_testimonial_comment_form_before_fields999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Comment form after fields 1.
 */
function red_carpet_single_testimonial_comment_form_after_fields1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Comment form after fields 10.
 */
function red_carpet_single_testimonial_comment_form_after_fields10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Comment form after fields default.
 */
function red_carpet_single_testimonial_comment_form_after_fields() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Comment form after fields 999.
 */
function red_carpet_single_testimonial_comment_form_after_fields999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Comment form 1.
 */
function red_carpet_single_testimonial_comment_form1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Comment form 10.
 */
function red_carpet_single_testimonial_comment_form10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Comment form default.
 */
function red_carpet_single_testimonial_comment_form() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Comment form 999.
 */
function red_carpet_single_testimonial_comment_form999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Comment form after 1.
 */
function red_carpet_single_testimonial_comment_form_after1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Comment form after 10.
 */
function red_carpet_single_testimonial_comment_form_after10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Comment form after default.
 */
function red_carpet_single_testimonial_comment_form_after() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Comment form after 999.
 */
function red_carpet_single_testimonial_comment_form_after999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * After comment form 1.
 */
function red_carpet_single_testimonial_after_comment_form1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * After comment form 10.
 */
function red_carpet_single_testimonial_after_comment_form10() {
	?>
<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * After comment form default.
 */
function red_carpet_single_testimonial_after_comment_form() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * After comment form 999.
 */
function red_carpet_single_testimonial_after_comment_form999() {
	?>
<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * Loop end 1.
 */
function red_carpet_single_testimonial_loop_end1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * Loop end 10.
 */
function red_carpet_single_testimonial_loop_end10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * Loop end default.
 */
function red_carpet_single_testimonial_loop_end() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * Loop end 999.
 */
function red_carpet_single_testimonial_loop_end999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * After endwhile 1.
 */
function red_carpet_single_testimonial_after_endwhile1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * After endwhile 10.
 */
function red_carpet_single_testimonial_after_endwhile10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * After endwhile default.
 */
function red_carpet_single_testimonial_after_endwhile() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * After endwhile 999.
 */
function red_carpet_single_testimonial_after_endwhile999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * After loop 1.
 */
function red_carpet_single_testimonial_after_loop1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * After loop 10.
 */
function red_carpet_single_testimonial_after_loop10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * After loop default.
 */
function red_carpet_single_testimonial_after_loop() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * After loop 999.
 */
function red_carpet_single_testimonial_after_loop999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * After content 1.
 */
function red_carpet_single_testimonial_after_content1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * After content 10.
 */
function red_carpet_single_testimonial_after_content10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * After content default.
 */
function red_carpet_single_testimonial_after_content() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * After content 999.
 */
function red_carpet_single_testimonial_after_content999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

/**
 * After content_sidebar_wrap 1.
 */
function red_carpet_single_testimonial_after_content_sidebar_wrap1() {
	?>
<!-- <?php echo current_filter() . ' 1'; ?> -->
	<?php
}

/**
 * After content_sidebar_wrap 10.
 */
function red_carpet_single_testimonial_after_content_sidebar_wrap10() {
	?>
	<!-- <?php echo current_filter() . ' 10'; ?> -->
	<?php
}

/**
 * After content_sidebar_wrap default.
 */
function red_carpet_single_testimonial_after_content_sidebar_wrap() {
	?>
<!-- <?php echo current_filter() . ' default'; ?> -->
	<?php
}

/**
 * After content_sidebar_wrap 999.
 */
function red_carpet_single_testimonial_after_content_sidebar_wrap999() {
	?>
	<!-- <?php echo current_filter() . ' 999'; ?> -->
	<?php
}

genesis();
